gnutls_pubkey_export_ecc_x962(3)

NAME
gnutls_pubkey_export_ecc_x962 - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_export_ecc_x962(gnutls_pubkey_t key, gnutls_datum_t * parameters, gnutls_datum_t * ecpoint);

ARGUMENTS

gnutls_pubkey_t key
    Holds the public key

gnutls_datum_t * parameters
    DER encoding of an ANSI X9.62 parameters

gnutls_datum_t * ecpoint
    DER encoding of ANSI X9.62 ECPoint

DESCRIPTION
This function will export the ECC public key's parameters found in the given certificate. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/